Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.expr
Class DefaultNameStep

    java.lang.Object
      org.jaxen.expr.DefaultStep
          org.jaxen.expr.DefaultNameStep

All Implemented Interfaces:
  NameStep, Predicated, Serializable, Step, Visitable

Deprecated. this class will become non-public in the future; use the interface instead

public class DefaultNameStep
extends DefaultStep
implements NameStep

Expression object that represents any flavor of name-test steps within an XPath.

This includes simple steps, such as "foo", non-default-axis steps, such as "following-sibling::foo" or "@foo", and namespace-aware steps, such as "foo:bar".

Author:
  bob mcwhirter (bob@werken.com), Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`DefaultNameStep(IterableAxis axis, String prefix, String localName, PredicateSet predicateSet)` Deprecated. Constructor.

Method Summary
`void` | `accept(Visitor visitor)` Deprecated. Visitor pattern for the step.
`List` | `evaluate(Context context)` Deprecated. Evaluate the context node set to find the new node set.
`String` | `getLocalName()` Deprecated. Gets the local name.
`String` | `getPrefix()` Deprecated. Gets the namespace prefix.
`String` | `getText()` Deprecated. Gets the step as a fully defined XPath.
`boolean` | `isMatchesAnyName()` Deprecated. Does this step match any name? (i.e.
`boolean` | `matches(Object node, ContextSupport contextSupport)` Deprecated. Checks whether the node matches this step.
`protected boolean` | `matchesNamespaceURIs(String uri1, String uri2)` Deprecated. Compares two namespace URIs, handling null.
`String` | `toString()` Deprecated. Returns a full information debugging string.

Methods inherited from class org.jaxen.expr.DefaultStep
`addPredicate, axisIterator, getAxis, getAxisName, getIterableAxis, getPredicates, getPredicateSet, simplify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jaxen.expr.Step
`axisIterator, getAxis, simplify`

Methods inherited from interface org.jaxen.expr.Predicated
`addPredicate, getPredicates, getPredicateSet`

Constructor Detail

### DefaultNameStep

    public DefaultNameStep(IterableAxis axis,
                           String prefix,
                           String localName,
                           PredicateSet predicateSet)

  Deprecated.
  Constructor.

Parameters:
  `axis` - the axis to work through
  `prefix` - the name prefix
  `localName` - the local name
  `predicateSet` - the set of predicates

Method Detail

### getPrefix

    public String getPrefix()

  Deprecated.
  Gets the namespace prefix.

  Specified by:
    `getPrefix` in interface `NameStep`
  Returns:
    the prefix

### getLocalName

    public String getLocalName()

  Deprecated.
  Gets the local name.

  Specified by:
    `getLocalName` in interface `NameStep`
  Returns:
    the local name

### isMatchesAnyName

    public boolean isMatchesAnyName()

  Deprecated.
  Does this step match any name? (i.e. Is it '*'?)

  Returns:
    true if it matches any name

### getText

    public String getText()

  Deprecated.
  Gets the step as a fully defined XPath.

  Specified by:
    `getText` in interface `Step`
  Overrides:
    `getText` in class `DefaultStep`
  Returns:
    the full XPath for this step

### evaluate

    public List evaluate(Context context)
                  throws JaxenException

  Deprecated.
  Evaluate the context node set to find the new node set.

  This method overrides the version in `DefaultStep` for performance.

  Specified by:
    `evaluate` in interface `Step`
  Overrides:
    `evaluate` in class `DefaultStep`
  Throws:
    `JaxenException`

### matches

    public boolean matches(Object node,
                           ContextSupport contextSupport)
                    throws JaxenException

  Deprecated.
  Checks whether the node matches this step.

  Specified by:
    `matches` in interface `Step`
  Parameters:
    `node` - the node to check
    `contextSupport` - the context support
  Returns:
    true if matches
  Throws:
    `JaxenException`

### matchesNamespaceURIs

    protected boolean matchesNamespaceURIs(String uri1,
                                           String uri2)

  Deprecated.
  Compares two namespace URIs, handling null.

  Parameters:
    `uri1` - the first URI
    `uri2` - the second URI
  Returns:
    true if equal, where null==""

### accept

    public void accept(Visitor visitor)

  Deprecated.
  Visitor pattern for the step.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor object

### toString

    public String toString()

  Deprecated.
  Returns a full information debugging string.

  Overrides:
    `toString` in class `DefaultStep`
  Returns:
    a debugging string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.